      SUBROUTINE TERM_input(jchar)
      implicit none
C
#include "fpreproc/byte_declare.h"
C
C...This routine was written by Harry H. Towner of the Princeton
C...Plasma Physics Lab.
C
C   Get a character from the terminal
C   --> DMC Oct 1991 <-- UNIX code using ordinary FORTRAN i/o
C                        which requires a carriage return
C
C...Parameters:
C*..jchar	- The byte that was input.
C
C***********************************************************************
C
      byte_declare jchar
C
#if __CRAY || __SX
      integer ibuf,zgetc
 
      ibuf = zgetc()
      jchar=char(ibuf)
#elif __UNIX
      integer ibuf,zgetc
 
      ibuf = zgetc()
      jchar=ibuf
#endif
C
      RETURN
      END
C--------------------------------
C
C  read in a single character from the terminal
C
      subroutine term_char_in(achar)
      implicit none
      character*1 achar
C
      byte_declare jchar
C
      call term_input(jchar)
#if __CRAY || __SX
      achar=jchar
#else
      achar=char(jchar)
#endif
C
      return
      end
 
